From: "Theo Anderson" <telans@posteo.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: games-board/rmahjong/
Date: Sat, 24 Apr 2021 23:19:41 +0000 (UTC) [thread overview]
Message-ID: <1619260354.fbbfb65d28b9e7889b4615973cdc886787798561.telans@gentoo> (raw)
commit: fbbfb65d28b9e7889b4615973cdc886787798561
Author: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Sat Apr 24 10:32:34 2021 +0000
Commit: Theo Anderson <telans <AT> posteo <DOT> de>
CommitDate: Sat Apr 24 10:32:34 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fbbfb65d
games-board/rmahjong: fix pass system CC and CFLAGS
Closes: https://bugs.gentoo.org/785019
Closes: https://bugs.gentoo.org/780966
Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
games-board/rmahjong/rmahjong-0.4_p20201106.ebuild | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild b/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild
index a8a3e6da8..c05893d27 100644
--- a/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild
+++ b/games-board/rmahjong/rmahjong-0.4_p20201106.ebuild
@@ -5,7 +5,7 @@ EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
-inherit desktop python-single-r1 xdg
+inherit desktop python-single-r1 toolchain-funcs xdg
# Tarball from py3 port branch:
# https://github.com/spirali/rmahjong/tree/py3
@@ -48,6 +48,10 @@ src_prepare(){
sed -i "/logging.info/d" "${S}/server/server.py" || die
echo $'#!/bin/sh\ncd '"$(python_get_sitedir)/${PN}"' && ./start.sh' > "${S}/rmahjong"
+
+ # pass compiler and CFLAGS to 'Bot' makefile
+ sed -i -e 's:gcc:'"$(tc-getCC)"':g' bot/makefile \
+ -e 's:CFLAGS=-Wall -O3 -march=native:CFLAGS='"${CFLAGS}"':'|| die
}
src_compile() {
next reply other threads:[~2021-04-24 23:19 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-04-24 23:19 Theo Anderson [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-18 21:26 [gentoo-commits] repo/proj/guru:master commit in: games-board/rmahjong/ Julien Roy
2022-02-13 20:24 Arthur Zamarin
2021-04-25 20:28 Andrew Ammerlaan
2021-04-24 23:19 Theo Anderson
2020-11-10 14:22 Andrew Ammerlaan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1619260354.fbbfb65d28b9e7889b4615973cdc886787798561.telans@gentoo \
--to=telans@posteo.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox